package view;

import processing.core.PApplet;

public abstract class Actor {
	static final int SIZE = 60;

	public void draw(PApplet canvas) {
		int s = this.xOffset()/canvas.width;
		canvas.translate(-s*canvas.width, s*SIZE*2);
		drawBody(canvas);
		canvas.translate(s*canvas.width, -s*SIZE*2);

	}

	abstract void drawBody(PApplet canvas);

	abstract int xOffset();


}
