package view;

import java.awt.Dimension;
import java.awt.Point;

import processing.core.PApplet;

public class VSieve extends Actor {
	
	private static final int BACK_COLOR = 255;
	private static final int TEXT_COLOR = 0;
	private int centerX;
	private int centerY;
	private int prime;
	
	VSieve(int x, int y) {
		this.centerX = x; 
		this.centerY = y;
//		this.prime = prime;
	}
	
	public VSieve() {
		this(SIZE*2,SIZE*3);
	}
	
	public VSieve(PApplet canvas, VSieve previous) {
		this(previous.nextX(canvas), previous.nextY(canvas));
	}
	
	private int nextX(PApplet canvas) {
		return centerX + SIZE*2;
//		return centerX + SIZE*2 + SIZE > canvas.width ?
//				SIZE*2 : centerX + SIZE*2;
	}
	private int nextY(PApplet canvas) {
		return centerY;
//		return centerX + SIZE*2 + SIZE > canvas.width ?
//				centerY+SIZE*2 : centerY;
	}

	int xOffset() {
		return this.centerX;
	}

	void drawBody(PApplet canvas) {
		if (prime > 0) {
			canvas.fill(BACK_COLOR);
			canvas.rect(centerX - SIZE / 2, centerY - SIZE / 2, SIZE, SIZE);
			canvas.fill(TEXT_COLOR);
			canvas.text("" + prime, centerX, centerY + SIZE / 3);
		}
	}
	public void setPrime(int prime) {
		this.prime = prime;
	}

	int getCenterX() {
		return centerX;
	}
	int getCenterY() {
		return centerY;
	}

}
